Bug 2271587 - file /usr/share/man/man8/proxy.8.gz from install of 3proxy-0.9.4-3.fc40.x86_64 conflicts with file from package libproxy-bin-0.5.3-5.fc40.x86_64
Summary: file /usr/share/man/man8/proxy.8.gz from install of 3proxy-0.9.4-3.fc40.x86_6...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: 3proxy
Version: 40
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Semeijn
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2024-03-26 12:34 UTC by Hedayat Vatankhah
Modified: 2024-03-29 09:03 UTC (History)
2 users (show)

Fixed In Version: 3proxy-0.9.4-4.fc41
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-03-29 09:03:21 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Hedayat Vatankhah 2024-03-26 12:34:42 UTC
Description of problem:
Both 3proxy & libproxy-bin provide /usr/share/man/man8/proxy.8.gz

libproxy-bin also provides 'proxy' binary, but I don't see such binary in 3proxy. So I actually have no idea how you can run 3proxy's 'proxy' command.

Anyway, it should be fixed either in 3proxy or libproxy-bin (or maybe both), but since I cannot assign a bug to two projects I selected 3proxy.

Comment 1 Tim Semeijn 2024-03-27 00:11:11 UTC
The proxy binary for 3proxy is renamed to htproxy. The manpages do not reflect this change. I will work on a patch to sort out the manpages which will result in fixing the conflict with libproxy-bin.

Comment 2 Hedayat Vatankhah 2024-03-27 14:21:22 UTC
Thanks! :)

Comment 3 Fedora Update System 2024-03-29 09:00:22 UTC
FEDORA-2024-89cdbe84a3 (3proxy-0.9.4-4.fc41) has been submitted as an update to Fedora 41.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-89cdbe84a3

Comment 4 Fedora Update System 2024-03-29 09:03:21 UTC
FEDORA-2024-89cdbe84a3 (3proxy-0.9.4-4.fc41) has been pushed to the Fedora 41 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.